$cubicBezier: cubic-bezier(0.25, 0.46, 0.45, 0.94);
.form-gen-collapse {
  width: 100%;

  overflow: hidden;
  position: relative;
}
.form-gen-collapse .collapse-form {
  width: 40px;
  height: 40px;
  border: 1px solid var(--Basic);
  border-radius: 10px;
  position: relative;
  transition: all 1.5s linear;
  overflow-x: hidden;
  overflow-y: auto;
}
.form-gen-collapse.active .collapse-form {
  border: 1px solid var(--Basic);
  width: 100%;
  height: 220px;
  animation: scale-to-open 1.5s linear;
}
.form-gen-collapse .inner-form {
  padding: 20px 40px;
  display: none;
}
.form-gen-collapse.active .inner-form {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}
.form-gen-collapse .inner-form+.title{
  display: none;
}
.form-gen-collapse.active .inner-form+.title {
  display: block;
  position: relative;
  text-align: center;
  background-color: var(--Basic);
  color: var(--Text);
  width: 20%;
  margin: 0 auto;
  border-radius: 5px;
  padding: 5px 15px;
}
.form-gen-collapse.active .inner-form .model-item {
  width: 25%;
  padding: 0 10px;
}
.form-gen-collapse.active .inner-form .model-item .r-input {
  margin-bottom: 10px;
}
.form-gen-collapse .add-btn,
.form-gen-collapse .register-btn {
  font-family: inherit;
  display: none;
  transition: all 1.5s linear;
}
.form-gen-collapse.active .add-btn,
.form-gen-collapse.active .register-btn {
  display: inline-block;
  background-color: var(--Basic);
  border: 1px solid var(--Basic);
  position: absolute;
  z-index: 2;
  transition: all 0.3s linear;
}
.form-gen-collapse.active .register-btn {
  left: 0;
  animation: scale-to-registerbtn 1.5s linear;
  color: var(--White);
  border-radius: 5px 0 0 0;
  padding: 8px 18px;
}
.form-gen-collapse.active .add-btn {
  right: 60px;
  top: 5px;

  color: var(--Text);
  border-radius: 5px;
  width: 30px;
  height: 30px;
  overflow: hidden;
  transition: all 1s linear;
}
.form-gen-collapse.active .add-btn span:nth-child(1) {
  font-size: 18px;
}
.form-gen-collapse.active .add-btn span:nth-child(2) {
  visibility: hidden;
  display: none;
  opacity: 0;
  animation: scale-to-add-menu 1.5s linear;
  margin-right: 10px;
}
.form-gen-collapse.active .add-btn.active,
.form-gen-collapse.active .add-btn:hover {
  width: 150px;
}
.form-gen-collapse.active .add-btn.active span:nth-child(1) i,
.form-gen-collapse.active .add-btn:hover span:nth-child(1) i {
  transition: all 0.5s linear;
  transform: rotate(45deg);
}
.form-gen-collapse.active .add-btn.active span:nth-child(2),
.form-gen-collapse.active .add-btn:hover span:nth-child(2) {
  display: inline-block;
  visibility: visible;
  opacity: 1;
}
.form-gen-collapse.active .add-btn:hover,
.form-gen-collapse.active .register-btn:hover {
  border: 1px solid var(--BasicHover);
  background-color: var(--BasicHover);
}
.form-gen-collapse .custom-metric {
  width: 0;
  height: 0;
  visibility: hidden;
  display: none;
  transition: all 0.5s linear;
}
.form-gen-collapse.active .custom-metric.active {
  width: 350px;
  height: 70px;
  visibility: visible;
  position: absolute;
  background-color: var(--White);
  border-radius: 5px;
  z-index: 3;
  top: 40px;
  right: 60px;
  padding: 4px 15px;
  display: flex;
  flex-direction: row;
  border: 1px dashed var(--Basic);
  animation: scale-to-metric 0.5s linear;
  transition: all .5s linear;
  overflow: hidden;

}
.form-gen-collapse.active .custom-metric.active .r-input {
  margin-top: 10px;
  margin-bottom: 10px;
  display: inline-block;
  width: 300px;
}
.form-gen-collapse.active .custom-metric.active .submit-new-metric {
  margin-top: 10px;
  margin-bottom: 10px;
  margin-right: 5px;
  width: 45px;
  height: 45px;
  border: 1px solid var(--Basic);
  background-color: var(--Basic);
  color: var(--Text);
  border-radius: 5px;
  transition: all 0.3s linear;
}
.form-gen-collapse.active .custom-metric.active .submit-new-metric:hover{
  background-color: var(--BasicHover);
}
.form-gen-collapse ul.hamburger-btn-inner {
  position: absolute;
  width: 40px;
  height: 40px;
  background-color: var(--Basic);
  border-radius: 8px;
  overflow: hidden;
  cursor: pointer;
  right: 0;
  transition: all 0.7s $cubicBezier;
  z-index: 2;
}
.form-gen-collapse ul.hamburger-btn-inner li.lines {
  position: absolute;
  transform: translateY(-50%);
  width: 70%;
  height: 5px;
  background-color: var(--Text);
  transition: 1s;
}

.form-gen-collapse ul.hamburger-btn-inner li:nth-of-type(1) {
  top: 30%;
  left: 15%;
  transition-delay: 1s;
  opacity: 1;
}

.form-gen-collapse ul.hamburger-btn-inner li:nth-of-type(2) {
  top: 50%;
  left: 15%;
  transition-delay: 0s;
}

.form-gen-collapse ul.hamburger-btn-inner li:nth-of-type(2)::before {
  content: "";
  position: absolute;
  top: -150px;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--Text);
  transform: rotate(90deg);
  transition-delay: 0.5s;
  transition: 1s;
}

.form-gen-collapse ul.hamburger-btn-inner li:nth-of-type(3) {
  top: 70%;
  right: 15%;
  transition-delay: 1s;
}

.form-gen-collapse.active ul.hamburger-btn-inner li:nth-of-type(1) {
  left: 100%;
  transition-delay: 0s;
  opacity: 0;
}

.form-gen-collapse.active ul.hamburger-btn-inner li:nth-of-type(2) {
  transform: translateY(-50%) rotate(405deg);
  transition-delay: 0.5s;
}

.form-gen-collapse.active ul.hamburger-btn-inner li:nth-of-type(3) {
  right: 100%;
  transition-delay: 0s;
  opacity: 0;
}

.form-gen-collapse.active ul.hamburger-btn-inner li:nth-of-type(2)::before {
  top: 0;
  transition-delay: 1s;
}
* {scroll-behavior: smooth;}
.form-gen-collapse.active ul.hamburger-btn-inner {
  position: absolute;
  width: 40px;
  height: 40px;
}
.form-gen-collapse.active .button-scrolling{
  position: absolute;
  width:  25px;
  height: 25px;
  left: 10px;
  top:50px;
  border-radius: 5px;
  background-color: var(--Basic);
  border: 1px solid transparent;
  color: var(--Text);
  padding: 1px 4px;
  
  scroll-behavior: smooth;
}
@keyframes scale-to-metric {
  0% {
    width: 0;
    height: 0;
    visibility: hidden;
  }
  25% {
    width: 100px;
    height: 20px;
    visibility: visible;
  }
  50% {
    width: 180px;
    height: 40px;
    visibility: visible;
  }
  75% {
    width: 230px;
    height: 60px;
    visibility: visible;
  }
  100% {
    width: 300px;
    height: 70px;
    visibility: visible;
  }
}
@keyframes scale-to-registerbtn {
  0% {
    display: none;
    opacity: 0;
  }
  99% {
    display: none;
    opacity: 0;
  }
  100% {
    display: inline-block;
    opacity: 1;
  }
}
@keyframes scale-to-open {
  0% {
    width: 0;
    height: 0;
  }
  25% {
    width: 25%;
    height: 50px;
  }
  50% {
    width: 50%;
    height: 100px;
  }
  75% {
    width: 75%;
    height: 180px;
  }
  100% {
    width: 100%;
    height: 220px;
  }
}
